> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification preferences

> Replaces your set of muted event types with the supplied list. Any unknown or non-notifiable types are dropped, and the response returns the muted types that were actually stored.



## OpenAPI

````yaml /api-reference/webhooks.yaml patch /notifications/preferences
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /notifications/preferences:
    patch:
      tags:
        - Notifications
      summary: Update notification preferences
      description: >-
        Replaces your set of muted event types with the supplied list. Any
        unknown or non-notifiable types are dropped, and the response returns
        the muted types that were actually stored.
      operationId: updateNotificationPreferences
      requestBody:
        content:
          application/json:
            schema:
              properties:
                mutedTypes:
                  example:
                    - workflow.run.running
                    - task.run.running
                  items:
                    maxLength: 256
                    minLength: 1
                    type: string
                  maxItems: 200
                  type: array
              required:
                - mutedTypes
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      mutedTypes:
                        example:
                          - workflow.run.running
                          - task.run.running
                        items:
                          maxLength: 256
                          minLength: 1
                          type: string
                        maxItems: 200
                        type: array
                    required:
                      - mutedTypes
                    type: object
                required:
                  - data
                type: object
          description: Stored muted event types (unknown/non-notifiable types dropped)
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.notifications.updatePreferences({
              mutedTypes: ['workflow.run.running', 'task.run.running'],
            });

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.notifications.update_preferences(
                muted_types=["workflow.run.running", "task.run.running"],
            )
            print(response.data)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.